> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a Transaction

> Verify transactions using the transaction id



## OpenAPI

````yaml get /transactions/{id}/verify
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /transactions/{id}/verify:
    get:
      tags:
        - Transactions
      summary: Verify a Transaction
      description: Verify transactions using the transaction id
      operationId: VerifyaTransaction
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: integer
            format: int32
            example: 4975363
        - name: Content-Type
          in: header
          description: ''
          required: true
          style: simple
          schema:
            enum:
              - application/json
            type: string
            example: application/json
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Tue, 19 Mar 2024 09:55:08 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '793'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"319-Hoc8XfTC2WI0+4NTzUpJJQ"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/VerifyaTransaction-success'
                  - example:
                      status: success
                      message: Transaction fetched successfully
                      data:
                        id: 4975363
                        tx_ref: 1710840858755-RND_83
                        flw_ref: '0537565244201710840859363'
                        device_fingerprint: N/A
                        amount: 1000
                        currency: NGN
                        charged_amount: 1000
                        app_fee: 14
                        merchant_fee: 0
                        processor_response: success
                        auth_model: AUTH
                        ip: '::ffff:172.16.47.200'
                        narration: FLUTTERWAVE V3 DOCS
                        status: successful
                        payment_type: bank_transfer
                        created_at: '2024-03-19T09:34:27.000Z'
                        account_id: 118468
                        meta:
                          originatoraccountnumber: 123*******90
                          originatorname: JOHN DOE
                          bankname: Access Bank
                          originatoramount: N/A
                        amount_settled: 986
                        customer:
                          id: 2374551
                          name: Anonymous customer
                          phone_number: '08012345678'
                          email: Johndoe@gmail.com
                          created_at: '2024-03-19T09:34:18.000Z'
              example:
                status: success
                message: Transaction fetched successfully
                data:
                  id: 4975363
                  tx_ref: 1710840858755-RND_83
                  flw_ref: '0537565244201710840859363'
                  device_fingerprint: N/A
                  amount: 1000
                  currency: NGN
                  charged_amount: 1000
                  app_fee: 14
                  merchant_fee: 0
                  processor_response: success
                  auth_model: AUTH
                  ip: '::ffff:172.16.47.200'
                  narration: FLUTTERWAVE V3 DOCS
                  status: successful
                  payment_type: bank_transfer
                  created_at: '2024-03-19T09:34:27.000Z'
                  account_id: 118468
                  meta:
                    originatoraccountnumber: 123*******90
                    originatorname: JOHN DOE
                    bankname: Access Bank
                    originatoramount: N/A
                  amount_settled: 986
                  customer:
                    id: 2374551
                    name: Anonymous customer
                    phone_number: '08012345678'
                    email: Johndoe@gmail.com
                    created_at: '2024-03-19T09:34:18.000Z'
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 08:36:01 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '79'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"4f-z88FEzfY9wDvaRq/G2KxiQ"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/VerifyaTransaction-error1'
                  - example:
                      status: error
                      message: No transaction was found for this id
                      data: null
              example:
                status: error
                message: No transaction was found for this id
                data: null
      deprecated: false
components:
  schemas:
    VerifyaTransaction-success:
      title: VerifyaTransaction-success
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data22'
      example:
        status: success
        message: Transaction fetched successfully
        data:
          id: 4975363
          tx_ref: 1710840858755-RND_83
          flw_ref: '0537565244201710840859363'
          device_fingerprint: N/A
          amount: 1000
          currency: NGN
          charged_amount: 1000
          app_fee: 14
          merchant_fee: 0
          processor_response: success
          auth_model: AUTH
          ip: '::ffff:172.16.47.200'
          narration: FLUTTERWAVE V3 DOCS
          status: successful
          payment_type: bank_transfer
          created_at: '2024-03-19T09:34:27.000Z'
          account_id: 118468
          meta:
            originatoraccountnumber: 123*******90
            originatorname: JOHN DOE
            bankname: Access Bank
            originatoramount: N/A
          amount_settled: 986
          customer:
            id: 2374551
            name: Anonymous customer
            phone_number: '08012345678'
            email: Johndoe@gmail.com
            created_at: '2024-03-19T09:34:18.000Z'
    VerifyaTransaction-error1:
      title: VerifyaTransaction-error1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: No transaction was found for this id
        data: null
    Data22:
      title: Data22
      required:
        - id
        - tx_ref
        - flw_ref
        - device_fingerprint
        - amount
        - currency
        - charged_amount
        - app_fee
        - merchant_fee
        - processor_response
        - auth_model
        - ip
        - narration
        - status
        - payment_type
        - created_at
        - account_id
        - meta
        - amount_settled
        - customer
      type: object
      properties:
        id:
          type: integer
          format: int32
        tx_ref:
          type: string
        flw_ref:
          type: string
        device_fingerprint:
          type: string
        amount:
          type: integer
          format: int32
        currency:
          type: string
        charged_amount:
          type: integer
          format: int32
        app_fee:
          type: integer
          format: int32
        merchant_fee:
          type: integer
          format: int32
        processor_response:
          type: string
        auth_model:
          type: string
        ip:
          type: string
        narration:
          type: string
        status:
          type: string
        payment_type:
          type: string
        created_at:
          type: string
        account_id:
          type: integer
          format: int32
        meta:
          $ref: '#/components/schemas/Meta18'
        amount_settled:
          type: integer
          format: int32
        customer:
          $ref: '#/components/schemas/Customer1'
      example:
        id: 4975363
        tx_ref: 1710840858755-RND_83
        flw_ref: '0537565244201710840859363'
        device_fingerprint: N/A
        amount: 1000
        currency: NGN
        charged_amount: 1000
        app_fee: 14
        merchant_fee: 0
        processor_response: success
        auth_model: AUTH
        ip: '::ffff:172.16.47.200'
        narration: FLUTTERWAVE V3 DOCS
        status: successful
        payment_type: bank_transfer
        created_at: '2024-03-19T09:34:27.000Z'
        account_id: 118468
        meta:
          originatoraccountnumber: 123*******90
          originatorname: JOHN DOE
          bankname: Access Bank
          originatoramount: N/A
        amount_settled: 986
        customer:
          id: 2374551
          name: Anonymous customer
          phone_number: '08012345678'
          email: Johndoe@gmail.com
          created_at: '2024-03-19T09:34:18.000Z'
    Meta18:
      title: Meta18
      required:
        - originatoraccountnumber
        - originatorname
        - bankname
        - originatoramount
      type: object
      properties:
        originatoraccountnumber:
          type: string
        originatorname:
          type: string
        bankname:
          type: string
        originatoramount:
          type: string
      example:
        originatoraccountnumber: 123*******90
        originatorname: JOHN DOE
        bankname: Access Bank
        originatoramount: N/A
    Customer1:
      title: Customer1
      required:
        - id
        - phone_number
        - name
        - email
        - created_at
      type: object
      properties:
        id:
          type: integer
          format: int32
        phone_number:
          type: string
        name:
          type: string
        email:
          type: string
        created_at:
          type: string
      example:
        id: 1975414
        phone_number: '24709929220'
        name: Anonymous customer
        email: JoeBloggs@acme.co
        created_at: '2023-02-10T14:42:21.000Z'
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````